| GET | /RestApi/sitefinity/data-intelligence/settings |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| IsDecEnabled | form | bool | No | |
| AccessKeyStrategyUsed | form | bool | No | |
| AuthorizationHeader | form | string | No | |
| ApiServerUrl | form | string | No | |
| DecAppUrl | form | string | No | |
| DataCenterApiKey | form | string | No | |
| LicenseType | form | string | No | |
| DecAdminBackendPageUrl | form | string | No | |
| ContentAnalyticsApiKeys | form | List<string> | No |
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/sitefinity/data-intelligence/settings HTTP/1.1 Host: www.asg.com.au Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
IsDecEnabled: False,
AccessKeyStrategyUsed: False,
AuthorizationHeader: String,
ApiServerUrl: String,
DecAppUrl: String,
DataCenterApiKey: String,
LicenseType: String,
DecAdminBackendPageUrl: String,
ContentAnalyticsApiKeys:
[
String
]
}